ojph_message.h File Reference
`#include <cstring>`
`#include "ojph_arch.h"`

Go to the source code of this file.

## Classes

class | ojph::message_base
class | ojph::message_info
class | ojph::message_warning
class | ojph::message_error

## Namespaces

namespace | ojph

## Macros

#define | __OJPHFILE__ (strrchr(__FILE__, '/') ? strrchr(__FILE__, '/') + 1 : __FILE__)

## Enumerations

enum | ojph::OJPH_MSG_LEVEL : int { ojph::NO_MSG = 0 , ojph::INFO = 1 , ojph::WARN = 2 , ojph::ERROR = 3 }

## Functions

OJPH_EXPORT void | ojph::set_info_stream (FILE *s)
OJPH_EXPORT void | ojph::configure_info (message_info *info)
OJPH_EXPORT message_info & | ojph::get_info ()
OJPH_EXPORT void | ojph::set_warning_stream (FILE *s)
OJPH_EXPORT void | ojph::configure_warning (message_warning *warn)
OJPH_EXPORT message_warning & | ojph::get_warning ()
OJPH_EXPORT void | ojph::set_error_stream (FILE *s)
OJPH_EXPORT void | ojph::configure_error (message_error *error)
OJPH_EXPORT message_error & | ojph::get_error ()

## Macro Definition Documentation

## __OJPHFILE__

#define __OJPHFILE__ (strrchr(__FILE__, '/') ? strrchr(__FILE__, '/') + 1 : __FILE__)